// MainFrm.h : interface of the CMainFrame class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_MAINFRM_H__AF3C9268_6A59_11D2_A0A4_00A0C94CB8B3__INCLUDED_)
#define AFX_MAINFRM_H__AF3C9268_6A59_11D2_A0A4_00A0C94CB8B3__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "ModuleView.h"
#include "WndSaveRestoreHelper.h"

class CAplView;

class CMainFrame : public CFrameWnd
{
   
protected: // create from serialization only

   CMainFrame();
   DECLARE_DYNCREATE(CMainFrame)

// Attributes
protected:
   CWndSaveRestoreHelper* m_pPositionHelper;
   CSplitterWnd m_wndSplitter;
   CSplitterWnd m_wndSubSplitter;
public:

// Operations
   void CMainFrame::RestoreFramePosition();

public:

// Overrides
   // ClassWizard generated virtual function overrides
   //{{AFX_VIRTUAL(CMainFrame)
   public:
   virtual BOOL OnCreateClient(LPCREATESTRUCT lpcs, CCreateContext* pContext);
   virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
   //}}AFX_VIRTUAL

// Implementation
public:
   virtual ~CMainFrame();
#ifdef _DEBUG
   virtual void AssertValid() const;
   virtual void Dump(CDumpContext& dc) const;
#endif

protected:  // control bar embedded members
   CStatusBar  m_wndStatusBar;
   CToolBar    m_wndToolBar;

// Generated message map functions
protected:
   //{{AFX_MSG(CMainFrame)
   afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnDestroy();
	//}}AFX_MSG
   DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MAINFRM_H__AF3C9268_6A59_11D2_A0A4_00A0C94CB8B3__INCLUDED_)
